From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyscard/
Date: Wed, 28 Sep 2022 18:34:25 +0000 (UTC) [thread overview]
Message-ID: <1664389974.00350a4248ff99500e97f59887d5f3fa84530503.mgorny@gentoo> (raw)
commit: 00350a4248ff99500e97f59887d5f3fa84530503
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 28 18:00:53 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 28 18:32:54 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00350a42
dev-python/pyscard: Bump to 2.0.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyscard/Manifest | 1 +
dev-python/pyscard/pyscard-2.0.5.ebuild | 43 +++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/pyscard/Manifest b/dev-python/pyscard/Manifest
index 421c462fc1a8..df04f304425b 100644
--- a/dev-python/pyscard/Manifest
+++ b/dev-python/pyscard/Manifest
@@ -1,2 +1,3 @@
DIST pyscard-2.0.3.tar.gz 150092 BLAKE2B af7d58266044792987e6f9a2bc708ca043e32c4f87c8622b5662449254e7d6b630d5769479f3eaf59dc9a3a9fa294330953dea3383aee6c216f3d7dcfd26266a SHA512 2f5c762fe4a7d8d3292f335fda58f8f2f88729ea6d33a508e5f461692fef8d006ccc9b761a78750b8416dc5c1f7c6b06c069e3f6e7b19d91621226590bfef708
DIST pyscard-2.0.4.tar.gz 150740 BLAKE2B 07849c265bfc764dd227bf041add7d24045f8f6669b596307d8a8644c847ee04a868b7df8e69139dc4d65f10b0406ef0083b833ed9e9dca5f11cb5d662d30801 SHA512 6eaae051f22079a73546c78f749dbeedaeee5f776e3f1718cf5ced3ed276d061e2210e2882f74bcaf75de9048fa8f512606a1b4ea0c0d4ecd0a5d6aeac482bc8
+DIST pyscard-2.0.5.tar.gz 150803 BLAKE2B c7d5ab17c3471b050a321c687e5faf33b5faad5a1afc60462b759280cff31bc55d86decdcb16dda9a4afe47848bc06f303c9697941dc212f01b28db6a8469a5e SHA512 bb2ef725e7dccefa640fe1568d1fee016bc5c639769d1b0d099067108e1369b8f7ccd3e48f985d657c5c7c33730eae891624f2c0ee2deaed491826b8c0eae2a5
diff --git a/dev-python/pyscard/pyscard-2.0.5.ebuild b/dev-python/pyscard/pyscard-2.0.5.ebuild
new file mode 100644
index 000000000000..acbc37af89b9
--- /dev/null
+++ b/dev-python/pyscard/pyscard-2.0.5.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 optfeature
+
+DESCRIPTION="Smart card support in python"
+HOMEPAGE="
+ https://pyscard.sourceforge.io/
+ https://github.com/LudovicRousseau/pyscard/
+ https://pypi.org/project/pyscard/
+"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+DEPEND="
+ sys-apps/pcsc-lite
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ dev-lang/swig
+"
+
+distutils_enable_tests unittest
+
+pkg_postinst() {
+ optfeature "Gui support" dev-python/wxpython
+ optfeature "Support of remote readers with Pyro" dev-python/Pyro4
+}
+
+python_test() {
+ cd test || die
+ eunittest
+}
next reply other threads:[~2022-09-28 18:34 UTC|newest]
Thread overview: 96+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-09-28 18:34 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-14 5:35 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyscard/ Michał Górny
2025-02-22 15:35 Michał Górny
2025-02-22 14:43 Arthur Zamarin
2025-02-22 9:48 Arthur Zamarin
2025-02-22 9:02 Arthur Zamarin
2025-02-22 8:55 Arthur Zamarin
2025-01-12 18:39 Michał Górny
2024-12-28 11:44 Sam James
2024-12-13 20:15 Arthur Zamarin
2024-12-13 20:00 Arthur Zamarin
2024-12-13 20:00 Arthur Zamarin
2024-11-10 3:24 Michał Górny
2024-11-10 0:42 Jakov Smolić
2024-11-10 0:42 Jakov Smolić
2024-11-09 10:21 Arthur Zamarin
2024-10-21 4:35 Michał Górny
2024-09-28 15:25 Michał Górny
2024-09-28 13:32 Arthur Zamarin
2024-09-28 11:41 Arthur Zamarin
2024-09-28 11:41 Arthur Zamarin
2024-09-10 7:06 Michał Górny
2024-09-09 2:24 Michał Górny
2024-06-29 16:58 Michał Górny
2024-06-29 8:53 Sam James
2024-06-29 8:25 Sam James
2024-06-29 8:25 Sam James
2024-06-15 15:43 Petr Vaněk
2024-06-02 2:35 Michał Górny
2024-04-25 3:39 Michał Górny
2024-04-24 17:16 Sam James
2024-04-24 15:31 Sam James
2024-04-24 15:31 Sam James
2024-04-06 15:01 Michał Górny
2024-03-30 16:21 Michał Górny
2024-03-30 15:28 Michał Górny
2024-03-30 14:59 Michał Górny
2024-03-30 14:59 Michał Górny
2024-03-10 3:35 Michał Górny
2023-11-24 15:12 Arthur Zamarin
2023-08-23 23:37 Marek Szuba
2023-05-04 16:30 Michał Górny
2023-05-03 7:57 Michał Górny
2023-05-03 6:33 Arthur Zamarin
2023-05-02 19:31 Sam James
2023-04-01 6:13 Michał Górny
2022-11-04 8:38 Michał Górny
2022-11-04 8:16 Agostino Sarubbo
2022-11-03 20:17 Sam James
2022-10-03 6:53 Michał Górny
2022-10-03 0:44 Sam James
2022-08-28 20:15 Arthur Zamarin
2022-06-20 15:40 Marek Szuba
2022-04-19 16:03 Michał Górny
2022-04-19 13:46 Jakov Smolić
2022-04-19 13:46 Jakov Smolić
2022-03-18 22:28 Michał Górny
2022-01-11 2:23 Georgy Yakovlev
2021-12-31 1:15 Georgy Yakovlev
2021-10-24 5:23 Arthur Zamarin
2021-10-24 4:51 Sam James
2021-10-24 1:15 Sam James
2021-09-23 8:16 Michał Górny
2021-08-01 22:07 Marek Szuba
2021-07-25 8:41 Michał Górny
2021-07-25 1:29 Sam James
2021-07-24 17:10 Sam James
2021-06-17 19:47 Michał Górny
2021-05-27 15:37 Marek Szuba
2021-03-02 9:06 Michał Górny
2021-03-02 7:39 Sam James
2021-03-02 7:38 Sam James
2020-12-31 6:07 Sam James
2020-12-03 16:53 Marek Szuba
2020-05-04 11:44 Michał Górny
2020-05-03 19:02 Agostino Sarubbo
2020-03-19 2:11 Rick Farina
2020-03-19 2:11 Rick Farina
2020-02-05 19:53 Michał Górny
2019-03-20 22:00 Alon Bar-Lev
2019-03-19 15:38 Rick Farina
2019-03-11 8:40 Mikle Kolyada
2018-12-30 17:33 Alon Bar-Lev
2018-09-27 23:55 Alon Bar-Lev
2018-03-20 21:11 Michał Górny
2018-01-08 23:57 Thomas Deutschmann
2017-08-18 17:34 Alon Bar-Lev
2017-05-14 10:45 Manuel Rüger
2017-05-11 13:02 Manuel Rüger
2016-06-12 13:41 Alon Bar-Lev
2016-03-02 19:25 Markus Meier
2016-02-19 13:02 Patrick Lauer
2016-02-07 9:48 Justin Lecher
2016-02-06 8:51 Justin Lecher
2015-12-23 13:50 Alon Bar-Lev
2015-08-17 2:31 Ian Delaney
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1664389974.00350a4248ff99500e97f59887d5f3fa84530503.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox